# -*- coding: utf-8 -*-

# django-security-txt
# security_txt/migrations/0001_initial.py

# Generated by Django 3.1.7 on 2021-03-21 22:49


from typing import List, Tuple  # pylint: disable=W0611

from django.db import models, migrations
from django.core.validators import URLValidator
from django.db.migrations.operations.base import Operation


class Migration(migrations.Migration):

    dependencies = [
        ("security_txt", "0001_initial"),
    ]  # type: List[Tuple[str, str]]

    operations = [
        migrations.CreateModel(
            name="Canonical",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "url",
                    models.URLField(
                        db_index=True,
                        max_length=512,
                        unique=True,
                        validators=[URLValidator(schemes=["https"])],
                        verbose_name="indicates the canonical URIs where the security.txt file is located",  # noqa: E501
                    ),
                ),
            ],
            options={
                "verbose_name": "canonical",
                "verbose_name_plural": "canonicals",
                "ordering": ["url"],
            },
        ),
    ]  # type: List[Operation]
